namespace Eco.Mods.TechTree
{
    // [DoNotLocalize]
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(ComputerLabObject))]
    [RequiresSkill(typeof(AdvancedSmeltingSkill), 5)]      
    public partial class NuclearFuelCellRecipe : Recipe
    {
        public NuclearFuelCellRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<NuclearFuelCellItem>(1),
                new CraftingElement<CopperIngotItem>(100),
                new CraftingElement<TailingsItem>(100),

            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BarrelItem>(1),
                new CraftingElement<CopperOreItem>(typeof(AdvancedSmeltingSkill), 2500, AdvancedSmeltingSkill.MultiplicativeStrategy),
            };
            this.ExperienceOnCraft = 0.5f;
            
            this.Initialize(Localizer.DoStr("Nuclear Fuel Cell"), typeof(NuclearFuelCellRecipe));

            this.CraftMinutes = CreateCraftTimeValue(typeof(NuclearFuelCellRecipe), Item.Get<NuclearFuelCellItem>().UILink(), 240f, typeof(AdvancedSmeltingSkill));

            CraftingComponent.AddRecipe(typeof(LaboratoryObject), this);
        }
    }
 
    [Serialized]                                   
    [Weight(30000)]      
    [Fuel(100000000)][Tag("Fuel")]
    [MaxStackSize(10)]
    [Currency]              
    public partial class NuclearFuelCellItem :
    Item
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Nuclear Fuel Cell"); } } 
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Nuclear Fuel Cells"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Nuclear fuel cells conatain large amounts of energy. They can release this energy over a large period of time in a nuclear reactor"); } }

    }

}